This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

APIs

1 - ListAccountQuota

1.1 - 1.2

get /v1/account-quotas

Description

get account quota list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponseV1dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "max_per_account": 1000,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.2 - 1.1

get /v1/account-quotas

Description

get account quota list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponseV1dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "max_per_account": 1000,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.3 - 1.0

get /v1/account-quotas

Description

get account quota list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryservice
optional
Service Name
Example : IAM
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
querydescription
optional
Description
Example : Virtual Server disk max size
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "account_quotas": [
        {
            "account_id": "2b7ed60576ce404bbc734266ff1839a5",
            "account_name": "Example Account Inc.",
            "adjustable": true,
            "applied_value": 200,
            "approval": false,
            "class_value": "Global",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "Maximum disk size for virtual servers in the account",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "reduction": false,
            "request": false,
            "request_class": "Account",
            "resource_type": "account-quota",
            "service": "Virtual Server",
            "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
            "unit": "GB"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - ListQuotaRequests

2.1 - 1.2

get /v1/quota-requests

Description

get quota requests list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryservice
optional
Service Name
Example : Virtual Server
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
queryrequester
optional
Requester Information
Example : cloud.kim
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryrequested_start_at
optional
Start date of the request
Example : 2024-05-01
any of [string (date-time), null]None
queryrequested_end_at
optional
End date of the request
Example : 2024-05-31
any of [string (date-time), null]None
queryapplied_start_at
optional
Start date of the application
Example : 2024-05-01
any of [string (date-time), null]None
queryapplied_end_at
optional
End date of the application
Example : 2024-05-31
any of [string (date-time), null]None
querystate
optional
Request State
Example : BEFORE_APPROVE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "quota_requests": [
        {
            "applied_at": "2024-05-17T00:23:17Z",
            "applied_value": 200,
            "approval_message": "Quota increase request message.",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "request_class": "Account",
            "request_message": "Quota increase request message.",
            "request_value": 300,
            "requester": "cloudkim",
            "service": "Virtual Server",
            "state": "BEFORE_APPROVE",
            "unit": "GB"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.2 - 1.1

get /v1/quota-requests

Description

get quota requests list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryservice
optional
Service Name
Example : Virtual Server
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
queryrequester
optional
Requester Information
Example : cloud.kim
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryrequested_start_at
optional
Start date of the request
Example : 2024-05-01
any of [string (date-time), null]None
queryrequested_end_at
optional
End date of the request
Example : 2024-05-31
any of [string (date-time), null]None
queryapplied_start_at
optional
Start date of the application
Example : 2024-05-01
any of [string (date-time), null]None
queryapplied_end_at
optional
End date of the application
Example : 2024-05-31
any of [string (date-time), null]None
querystate
optional
Request State
Example : BEFORE_APPROVE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "quota_requests": [
        {
            "applied_at": "2024-05-17T00:23:17Z",
            "applied_value": 200,
            "approval_message": "Quota increase request message.",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "request_class": "Account",
            "request_message": "Quota increase request message.",
            "request_value": 300,
            "requester": "cloudkim",
            "service": "Virtual Server",
            "state": "BEFORE_APPROVE",
            "unit": "GB"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2.3 - 1.0

get /v1/quota-requests

Description

get quota requests list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryservice
optional
Service Name
Example : Virtual Server
any of [string, null]None
queryquota_item
optional
Quota Item Name
Example : QUOTA.REQUEST.COUNT
any of [string, null]None
queryrequester
optional
Requester Information
Example : cloud.kim
any of [string, null]None
queryrequest_class
optional
Request Class
Example : Account
any of [string, null]None
queryrequested_start_at
optional
Start date of the request
Example : 2024-05-01
any of [string (date-time), null]None
queryrequested_end_at
optional
End date of the request
Example : 2024-05-31
any of [string (date-time), null]None
queryapplied_start_at
optional
Start date of the application
Example : 2024-05-01
any of [string (date-time), null]None
queryapplied_end_at
optional
End date of the application
Example : 2024-05-31
any of [string (date-time), null]None
querystate
optional
Request State
Example : BEFORE_APPROVE
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "quota_requests": [
        {
            "applied_at": "2024-05-17T00:23:17Z",
            "applied_value": 200,
            "approval_message": "Quota increase request message.",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "free_rate": 10,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "initial_value": 100,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "quota_item": "QUOTA.REQUEST.COUNT",
            "request_class": "Account",
            "request_message": "Quota increase request message.",
            "request_value": 300,
            "requester": "cloudkim",
            "service": "Virtual Server",
            "state": "BEFORE_APPROVE",
            "unit": "GB"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - ShowAccountQuota

3.1 - 1.2

get /v1/account-quotas/{account_quota_id}

Description

show a specific account quota

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_quota_id
required
Account Quota ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaShowResponseV1dot1
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas/{account_quota_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "account_quota": {
        "account_id": "2b7ed60576ce404bbc734266ff1839a5",
        "account_name": "Example Account Inc.",
        "adjustable": true,
        "applied_value": 200,
        "approval": false,
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "max_per_account": 1000,
        "modified_at": "2024-05-17T00:23:17Z",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request": false,
        "request_class": "Account",
        "resource_type": "account-quota",
        "service": "Virtual Server",
        "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
        "unit": "GB"
    }
}

3.2 - 1.1

get /v1/account-quotas/{account_quota_id}

Description

show a specific account quota

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_quota_id
required
Account Quota ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaShowResponseV1dot1
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas/{account_quota_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "account_quota": {
        "account_id": "2b7ed60576ce404bbc734266ff1839a5",
        "account_name": "Example Account Inc.",
        "adjustable": true,
        "applied_value": 200,
        "approval": false,
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "max_per_account": 1000,
        "modified_at": "2024-05-17T00:23:17Z",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request": false,
        "request_class": "Account",
        "resource_type": "account-quota",
        "service": "Virtual Server",
        "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
        "unit": "GB"
    }
}

3.3 - 1.0

get /v1/account-quotas/{account_quota_id}

Description

show a specific account quota

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_quota_id
required
Account Quota ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKAccountQuotaShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-quotas/{account_quota_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "account_quota": {
        "account_id": "2b7ed60576ce404bbc734266ff1839a5",
        "account_name": "Example Account Inc.",
        "adjustable": true,
        "applied_value": 200,
        "approval": false,
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request": false,
        "request_class": "Account",
        "resource_type": "account-quota",
        "service": "Virtual Server",
        "srn": "srn:s::1651c68f8c664df580b55fa12345678:::quota:account-quota/9b088c6bc57c4a50a4620fb312345678",
        "unit": "GB"
    }
}

4 - ShowQuotaRequest

4.1 - 1.2

get /v1/quota-requests/{request_id}

Description

show a specific quota request

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example : 0c2a06f2f06d42248a6bb88b1a78d4cc
stringNone

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.2"

Example HTTP response

Response 200

{
    "quota_request": {
        "account_quota_id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "applied_at": "2024-05-17T00:23:17Z",
        "applied_value": 200,
        "approval_message": "Quota increase request message.",
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request_message": "Quota increase request message.",
        "request_value": 300,
        "requester": "cloudkim",
        "state": "BEFORE_APPROVE",
        "unit": "GB"
    }
}

4.2 - 1.1

get /v1/quota-requests/{request_id}

Description

show a specific quota request

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260223

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example : 0c2a06f2f06d42248a6bb88b1a78d4cc
stringNone

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"

Example HTTP response

Response 200

{
    "quota_request": {
        "account_quota_id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "applied_at": "2024-05-17T00:23:17Z",
        "applied_value": 200,
        "approval_message": "Quota increase request message.",
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request_message": "Quota increase request message.",
        "request_value": 300,
        "requester": "cloudkim",
        "state": "BEFORE_APPROVE",
        "unit": "GB"
    }
}

4.3 - 1.0

get /v1/quota-requests/{request_id}

Description

show a specific quota request

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example : 0c2a06f2f06d42248a6bb88b1a78d4cc
stringNone

Responses

HTTP CodeDescriptionSchema
200OKQuotaRequestShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/quota-requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.0"

Example HTTP response

Response 200

{
    "quota_request": {
        "account_quota_id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "applied_at": "2024-05-17T00:23:17Z",
        "applied_value": 200,
        "approval_message": "Quota increase request message.",
        "class_value": "Global",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Maximum disk size for virtual servers in the account",
        "free_rate": 10,
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "initial_value": 100,
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "quota_item": "QUOTA.REQUEST.COUNT",
        "reduction": false,
        "request_message": "Quota increase request message.",
        "request_value": 300,
        "requester": "cloudkim",
        "state": "BEFORE_APPROVE",
        "unit": "GB"
    }
}